var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var abc_flyout_item_exports = {};
__export(abc_flyout_item_exports, {
  AbcFlyoutItem: () => AbcFlyoutItem,
  defineCustomElement: () => defineCustomElement
});
module.exports = __toCommonJS(abc_flyout_item_exports);
var import_client = require("@stencil/core/internal/client");
const flyoutItemCss = ":host .flyout-item{box-sizing:border-box;padding-top:10px;padding-bottom:10px;padding-left:20px;padding-right:20px;background-color:#fff;color:#333;border-width:1px;width:100%;height:100%;cursor:pointer;border:none;outline:none;text-align:left;font:16px Arial, sans-serif}:host .flyout-item:hover,:host .flyout-item:focus-within{background-color:#f0f0f0;color:#555;border-color:#007bff}:host([selected]) .flyout-item{border-style:solid;border-width:2px 2px 2px 2px;border-color:#007bff;background-color:#007bff;color:#fff}";
const FlyoutItem = /* @__PURE__ */ (0, import_client.proxyCustomElement)(class FlyoutItem2 extends import_client.HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.itemClick = (0, import_client.createEvent)(this, "itemClick", 7);
    this.label = void 0;
    this.selected = false;
    this.item = void 0;
  }
  // eslint-disable-next-line @stencil-community/async-methods
  async focusItem() {
    var _a;
    (_a = this.buttonEl) === null || _a === void 0 ? void 0 : _a.focus();
  }
  render() {
    return (0, import_client.h)("button", { ref: (el) => this.buttonEl = el, "aria-selected": this.selected, class: "flyout-item", onClick: () => {
      this.itemClick.emit({ item: this.item, selected: this.selected });
    } }, this.label);
  }
  static get style() {
    return flyoutItemCss;
  }
}, [1, "abc-flyout-item", {
  "label": [1],
  "selected": [516],
  "item": [513],
  "focusItem": [64]
}]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["abc-flyout-item"];
  components.forEach((tagName) => {
    switch (tagName) {
      case "abc-flyout-item":
        if (!customElements.get(tagName)) {
          customElements.define(tagName, FlyoutItem);
        }
        break;
    }
  });
}
const AbcFlyoutItem = FlyoutItem;
const defineCustomElement = defineCustomElement$1;
