var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var chevron_down_exports = {};
__export(chevron_down_exports, {
  A: () => AbcIconChevronDown,
  I: () => ICON_SIZES,
  d: () => defineCustomElement
});
module.exports = __toCommonJS(chevron_down_exports);
var import_client = require("@stencil/core/internal/client");
var ICON_SIZES;
(function(ICON_SIZES2) {
  ICON_SIZES2["XS"] = "xs";
  ICON_SIZES2["SM"] = "sm";
  ICON_SIZES2["MD"] = "md";
  ICON_SIZES2["LG"] = "lg";
  ICON_SIZES2["XL"] = "xl";
  ICON_SIZES2["XXL"] = "xxl";
})(ICON_SIZES || (ICON_SIZES = {}));
const iconsCss = ":host{box-sizing:border-box;display:flex;align-items:center;justify-content:center}:host([size=xs]) svg{height:16px;width:16px}:host([size=sm]) svg{height:24px;width:24px}:host([size=md]) svg{height:32px;width:32px}:host([size=lg]) svg{height:40px;width:40px}:host([size=xl]) svg{height:48px;width:48px}:host([size=xxl]) svg{height:56px;width:56px}";
const AbcIconChevronDown = /* @__PURE__ */ (0, import_client.proxyCustomElement)(class AbcIconChevronDown2 extends import_client.HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.size = ICON_SIZES.MD;
  }
  render() {
    switch (this.size) {
      case ICON_SIZES.XS:
        return (0, import_client.h)("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16 16", "stroke-linejoin": "round", "stroke-linecap": "round", stroke: "currentColor", fill: "none" }, (0, import_client.h)("path", { "stroke-width": "1.5", d: "m4 6 4 4 4-4" }));
      case ICON_SIZES.SM:
        return (0, import_client.h)("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24", "stroke-linejoin": "round", "stroke-linecap": "round", stroke: "currentColor", fill: "none" }, (0, import_client.h)("path", { "stroke-width": "2", d: "m6 9 6 6 6-6" }));
      case ICON_SIZES.MD:
        return (0, import_client.h)("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 32 32", "stroke-linejoin": "round", "stroke-linecap": "round", stroke: "currentColor", fill: "none" }, (0, import_client.h)("path", { "stroke-width": "2.3", d: "m8 12 8 8 8-8" }));
      case ICON_SIZES.LG:
        return (0, import_client.h)("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 40 40", "stroke-linejoin": "round", "stroke-linecap": "round", stroke: "currentColor", fill: "none" }, (0, import_client.h)("path", { "stroke-width": "2.5", d: "m10 15 10 10 10-10" }));
      case ICON_SIZES.XL:
        return (0, import_client.h)("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 48 48", "stroke-linejoin": "round", "stroke-linecap": "round", stroke: "currentColor", fill: "none" }, (0, import_client.h)("path", { "stroke-width": "3", d: "m12 18 12 12 12-12" }));
      case ICON_SIZES.XXL:
        return (0, import_client.h)("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 56 56", "stroke-linejoin": "round", "stroke-linecap": "round", stroke: "currentColor", fill: "none" }, (0, import_client.h)("path", { "stroke-width": "3.5", d: "m14 21 14 14 14-14" }));
    }
  }
  static get style() {
    return iconsCss;
  }
}, [1, "abc-icon-chevron-down", {
  "size": [513]
}]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["abc-icon-chevron-down"];
  components.forEach((tagName) => {
    switch (tagName) {
      case "abc-icon-chevron-down":
        if (!customElements.get(tagName)) {
          customElements.define(tagName, AbcIconChevronDown);
        }
        break;
    }
  });
}
