"use client";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var abc_accordion_use_client_exports = {};
__export(abc_accordion_use_client_exports, {
  AbcAccordionUseClient: () => AbcAccordionUseClient
});
module.exports = __toCommonJS(abc_accordion_use_client_exports);
var import_abc_accordion = require("./components/abc-accordion.js");
var import_react = __toESM(require("react"));
const AbcAccordionUseClient = ({
  ssrHtml,
  children,
  ...props
}) => {
  const refPlaceholder = (0, import_react.useRef)(null);
  const [isClient, setIsClient] = (0, import_react.useState)(false);
  (0, import_react.useEffect)(() => {
    refPlaceholder.current?.remove();
    if (typeof customElements !== "undefined" && !customElements.get("abc-accordion")) {
      (0, import_abc_accordion.defineCustomElement)();
    }
    setIsClient(true);
  }, []);
  return import_react.default.createElement("div", { children: [
    import_react.default.createElement("div", { ref: refPlaceholder, key: "abc-accordion-placeholder", dangerouslySetInnerHTML: { __html: ssrHtml } }),
    isClient && import_react.default.createElement("abc-accordion", { ...props, key: "abc-accordion" }, children)
  ] });
};
